> For the complete documentation index, see [llms.txt](https://docs.payanyway.ru/marketplace/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payanyway.ru/marketplace/platezhnye-zaprosy/1.-oplata-tovara-ili-uslugi-bankovskoi-kartoi-na-saite-ploshadki/1.3-sozdanie-operacii-s-individualnymi-parametrami-s-pomoshyu-moneta.merchantapi.md).

# 1.3 Создание операции с индивидуальными параметрами с помощью MONETA.MerchantAPI

Маркетплейс для реализации приема платежей может использовать индивидуальные параметры, которые нельзя передать в стандартную платежную форму.

Для использования индивидуальных параметров маркетплейс сначала создает операцию с необходимыми параметрами методом InvoiceRequest, а затем переводит покупателя на платежную форму с помощью ссылки для оплаты созданной операции.

Создать операцию можно запросом InvoiceRequest с помощью интерфейса [MONETA.MerchantAPI](https://www.moneta.ru/doc/MONETA.MerchantAPI.v2.ru.pdf)&#x20;

{% hint style="info" %}
&#x20;Интерфейс [MONETA.MerchantAPI](http://www.moneta.ru/doc/MONETA.MerchantAPI.v2.ru.pdf) представляет собой Web-сервис, описанный по спецификации Web Services Description Language (WSDL), использующий протокол Simple Object Access Protocol (SOAP) для передачи информации.
{% endhint %}

```javascript
Создаем операцию методом InvoiceRequest:
Запрос:
{  
   "Envelope":{  
      "Header":{  
         "Security":{  
            "UsernameToken":{  
               "Username":"Username",
               "Password":"Password"
            }
         }
      },
      "Body":{  
         "InvoiceRequest":{  
            "payer":НОМЕР СЧЕТА ПЛАТЕЛЬЩИКА,
            "payee":НОМЕР СЧЕТА ПОЛУЧАТЕЛЯ,
            "amount":1000,
            "clientTransaction":"TEST",
            "description":"TEST"
         }
      }
   }
}

Ответ: 

{  
   "Envelope":{  
      "Body":{  
         "InvoiceResponse":{  
            "dateTime":" YYYY-MM-DDT08:55:03.000+03:00",
            "clientTransaction":"TEST",
            "transaction":12345678,
            "status":"CREATED"
         }
      }
   }
}
```

Зная номер созданной операции, маркетплейс формирует ссылку, по которой переводит покупателя на платежную форму.

```java
https://www.moneta.ru/assistant.widget?operationId=номер созданной операции
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payanyway.ru/marketplace/platezhnye-zaprosy/1.-oplata-tovara-ili-uslugi-bankovskoi-kartoi-na-saite-ploshadki/1.3-sozdanie-operacii-s-individualnymi-parametrami-s-pomoshyu-moneta.merchantapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
